complexType "VarianceSwap"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-variance-swaps-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*, embeddedOptionType[0..2])?, additionalPayment*, extraordinaryEvents?, varianceLeg*
</...>

Content Model Elements (9):

  additionalPayment (defined in NettedSwapBase complexType),
  assetClass (defined in Product.model group),
  embeddedOptionType,
  extraordinaryEvents (defined in NettedSwapBase complexType),
  primaryAssetClass (defined in Product.model group),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  secondaryAssetClass (defined in Product.model group),
  varianceLeg (in varianceSwap)

All Direct / Indirect Based Elements (1):

  varianceSwap

Known Usage Locations

- As direct type of elements (1):
  varianceSwap

Annotation
A Variance Swap.
Type Definition Detail

Type Derivation Tree Product (extension) NettedSwapBase (extension) VarianceSwap

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="VarianceSwap"> <xsd:complexContent> <xsd:extension base="NettedSwapBase"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="varianceLeg" type="VarianceLeg"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/9)
varianceLeg

  Type: | VarianceLeg, complex content

  Variance Leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="varianceLeg" type="VarianceLeg"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.